routes/web.php
<?php

use App\Http\Controllers\FormationController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [FormationController::class, 'accueil']);

Route::group(['middleware'=>['auth']], function(){
    Route::resource('/formation', FormationController::class);
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

app/Models/Formation.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Formation extends Model
{
    use HasFactory;

    protected $fillable = ['formation','image','description'];
}

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/FormationController.php
<?php

namespace App\Http\Controllers;
use App\Models\Formation;

use Illuminate\Http\Request;

class FormationController extends Controller
{
    public function accueil(){
        $formations = Formation::all();
        return view('labe', compact('formations'));
    }

    public function index(){
        $formations = Formation::all();
        return view('formation.index', compact('formations'));
    }

    public function create(){
        $formation = New Formation();
        return view('formation.create', compact('formation'));
    }

    public function store(Request $request){

        $this->validate($request, [
            'formation'=>'required|min:5',
            'description'=>'required|min:5',
            'image'=>'required|mimes:jpg,png',
        ]);

        $image = $request->image;
        $nom_image = uniqid().".".$image->getClientOriginalExtension();
        $image->storeAs('formations', $nom_image, 'public');

        Formation::create([
            "formation" => $request->formation,
            "description" => $request->description,
            "image" => $nom_image,
        ]);

        return redirect()->route('formation.index');
    }

    public function edit(Formation $formation){
        return view('formation.edit', compact('formation'));
    }

    public function update(Request $request, Formation $formation){

        $this->validate($request, [
            'formation'=>'required|min:5',
            'description'=>'required|min:5',
        ]);

        $formation->update([
            "formation" => $request->formation,
            "description" => $request->description,
        ]);

        if($request->image!=""){

            $image = $request->image;
            $nom_image = uniqid().".".$image->getClientOriginalExtension();
            $image->storeAs('formations', $nom_image, 'public');

            $formation->update([
                "image" => $nom_image,
            ]);
        }

        return redirect()->route('formation.index');
    }

    public function destroy(Formation $formation){
        $formation->delete();
        return redirect()->route('formation.index');
    }
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
}

resources/views/formation/_form.blade.php
<div class="form-group">
    <label for="formation">Formation</label>
    <input type="text" value="{{ old('formation') ? old('formation') : $formation->formation }}" name="formation" class="form-control" id="formation" placeholder="Entrer le nom de la formation">
    @error('formation') <span style="color:red">{{$message}}</span> @enderror
</div>

<div class="form-group">
    <label for="description">Description</label>
    <textarea type="text" name="description" class="form-control" id="description" placeholder="Entrer le nom de la formation">{{ old('description') ? old('description') : $formation->description }}</textarea>
    @error('description') <span style="color:red">{{$message}}</span> @enderror
</div>

@if($formation->id==0)
<div class="form-group">
    <label for="image">Image</label>
    <input type="file" name="image" class="form-control" id="image" placeholder="Entrer le nom de la formation">
    @error('image') <span style="color:red">{{$message}}</span> @enderror
</div>
@else

<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label for="image">Image</label>
            <input type="file" name="image" class="form-control" id="image" placeholder="Entrer le nom de la formation">
            @error('image') <span style="color:red">{{$message}}</span> @enderror
        </div>
    </div>
    <div class="col-md-6">
        <img src="{{ asset('storage/formations/'.$formation->image)}}" alt="">
    </div>
</div>

@endif

resources/views/formation/create.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <h1>Ajouter une formation</h1>

    <form action="{{route('formation.store')}}" method="POST" enctype="multipart/form-data"> 
        @csrf
        @include('formation._form')
        <input type="submit" value="Enregistrer" class="btn btn-success">
    </form>
</div>
@endsection

resources/views/formation/edit.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <h1>Ajouter une formation</h1>

    <form action="{{route('formation.update', $formation->id)}}" method="POST" enctype="multipart/form-data"> 
        @csrf
        @method('PUT')
        @include('formation._form')
        <input type="submit" value="Enregistrer" class="btn btn-success">
    </form>
</div>
@endsection

resources/views/formation/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <h1>Liste des formations</h1>
    <a href="{{route('formation.create')}}" class="btn btn-primary">Ajouter une formation</a>
    <table class="table table-stripped table-bordered">
        <tr>
            <th>#</th>
            <th>Formation</th>
            <th>Image</th>
            <th>Description</th>
            <th>Action</th>
        </tr>

        @foreach($formations as $key => $formation)
        <tr>
            <td>{{$key+1}}</td>
            <td>{{$formation->formation}}</td>
            <td>
                <img style="width:100px" src="{{ asset('storage/formations/'.$formation->image)}}" alt="">
            </td>
            <td>{{$formation->description}}</td>
            <td>
                <a href="{{route('formation.edit', $formation->id)}}" class="btn btn-warning">Modifier</a>
                <form action="{{route('formation.destroy', $formation->id)}}" method="POST">
                    @csrf
                    @method('DELETE')
                    <input onclick="confirm('Voulez-vous vraiment supprimer cette formation')" type="submit" value="Supprimer" class="btn btn-danger">
                </form>
            </td>
        </tr>
        @endforeach
    </table>

</div>
@endsection

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Dashboard') }}</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    {{ __('You are logged in!') }}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/labe.blade.php
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> Accueil - Amadou Dieng de Labé </title>
    <link rel="stylesheet" href="{{asset('style.css')}}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
</head>
<body>
    <header>
        <div class="logo">
            <img src="{{ asset('images/logo.jpg') }}" alt="">
        </div>
        <nav>
            <a href="#">Accueil</a>
            <a href="#">Campus</a>
            <a href="#">Formations</a>
            <a href="#">A propos</a>
            <a href="#">Contact</a>
            <a href="#">S'inscrire</a>
        </nav>

    </header>

    <main>
        <div class="ban">

        </div>
        
        <div class="mot">
            <img src="{{ asset('images/recteur/recteur.jpg')}}" alt="">
            <div>
                <h1>Mot du recteur</h1>
                <article>
                    êtus d’une tunique bleue-blanche, à l’effigie des couleurs de leur logo, les Étudiants de la 10ème cohorte de l’Institut de Formation Professionnelle Ahmadou DIENG (IFPAD) et de la 13ème cohorte de l’Université Ahmadou DIENG ont officiellement reçu leurs diplômes de fin d’étude ce 5 février 2023. C’était en marge d’une cérémonie organisée au stade Petit Sory de Nongo sous le parrainage de Hadja Aicha BAH, ancienne ministre de l’Enseignement Pré-Universitaire et de l’Alphabétisation, et dont les deux cohortes portent désormais le nom.
                    Ils sont au total 825 Étudiants, dont 468 admis sur 474 inscrits à l’IFPAD et 357 admis sur 366 des départements de Santé, Droit, Banques– Finance et Assurance, Commerce International, Administration des Affaires, Économie, Science comptable, Sociologie, Génie Géologie, Génie Minier, Génie Civil et Génie Informatique à recevoir leurs diplômes. Parmi eux, figure feu Mamadou Dian DIALLO, Étudiant en Génie Civil, dont le diplôme a été délivré aux parents à titre posthume.
                </article>
            </div>
        </div>

        <!-- Dicipline  -->

        <div class="formations">
            <h1>Nos formations</h1>
            <div class="formation">
                @foreach($formations as $formation)
                <div style="background-image: url('{{asset('storage/formations/'.$formation->image)}}');
                background-size: cover;
                background-repeat: no-repeat;"><span>{{$formation->formation}}</span></div>
                @endforeach
            </div>
        </div>

        <!-- Fin discipline -->
    </main>

    <footer>
        <div>
            <img src="{{ asset('images/logo.png')}}" alt="">
            <div>
                <div class="ad">
                    <i class="fa fa-phone"></i>
                    <span><a href="tel:+224620717339">+224 620 717 339</a></span>
                </div>
                
                <div class="ad">
                    <i class="fa fa-phone"></i>
                    <span><a href="mailto:campuslabe@univadieng.com">campuslabe@univadieng.com</a></span>
                </div>
                
                <div class="ad">
                    <i class="fa fa-map-marker"></i>
                    <span>ndjiolou, Labé, Guinea</span>
                </div>
                
            </div>
        </div>
        <div></div>
        <div>
            <h2>Liens rapides</h2>
            <nav>
                <a href="#">Accueil</a>
                <a href="#">Campus</a>
                <a href="#">Formations</a>
                <a href="#">A propos</a>
                <a href="#">Contact</a>
                <a href="#">S'inscrire</a>
            </nav>
        </div>
    </footer>
    
</body>
</html>

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav me-auto">
                        <a href="{{route('formation.index')}}">Formations</a>
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ms-auto">
                        <!-- Authentication Links -->
                        @guest
                            @if (Route::has('login'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                                </li>
                            @endif

                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }}
                                </a>

                                <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>